#### io_context::run_one_until

Run the `io_context` object's event processing loop until a specified time to execute at most one handler.

    template<
        typename Clock,
        typename Duration>
    std::size_t run_one_until(
        const chrono::time_point< Clock, Duration > & abs_time);

The `run_one_until()` function blocks until one handler has been dispatched, until the `io_context` has been stopped, or until the specified time has been reached.

###### Parameters

abs_time

  The time point until which the call may block.

###### Return Value

The number of handlers that were executed.